> ## Documentation Index
> Fetch the complete documentation index at: https://developers.govworx.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Pause/Unpause Audio Stream

> Pause or unpause playback of a live or recorded audio stream. While paused, silence is injected to keep the RTMP stream alive and the playback offset is frozen. On unpause, playback resumes from the frozen position.



## OpenAPI

````yaml https://realtime.govworx.net/u/api-docs post /realtime/v1/call/{id}/audio/stream/{streamId}/pause
openapi: 3.1.0
info:
  title: GovWorx Realtime API
  description: >-
    Interfaces to access processing of realtime call data, transcriptions and
    CommsCoach Assist agentic outputs
  termsOfService: http://swagger.io/terms/
  version: '1.0'
servers:
  - url: https://realtime.govworx.net
security: []
tags:
  - name: Realtime Calls
    description: Endpoints for managing and interacting with active or completed calls
  - name: CAD Integration Handler
    description: >
      Implement these endpoints if you are a CAD vendor building an integration
      with Assist.


      These endpoints allow Assist to directly push data to your system.


      The base URL in the documentation (/cad-integration-handler) is
      illustrative and you may use a different base URL.


      You must implement the endpoints under the base URL using the given
      specifications, however.
  - name: Authentication
    description: Manage short-lived tokens for accessing the Realtime API.
  - name: CAD Integration
    description: Endpoints for managing and interacting with the CAD Integration.
  - name: Webhook Registration
    description: Register webhook handlers to receive notifications.
  - name: Webhook Handlers
    description: >-
      Implement these endpoints as needed to match any webhooks you have
      registered for. The URL in the documentation is illustrative. You must
      handle the webhook at the URL you registered. See 'Webhook Registration'.
externalDocs:
  description: GovWorx Developer Docs
  url: https://api.govworx.ai
paths:
  /realtime/v1/call/{id}/audio/stream/{streamId}/pause:
    post:
      tags:
        - Realtime Calls
      summary: Pause/Unpause Audio Stream
      description: >-
        Pause or unpause playback of a live or recorded audio stream. While
        paused, silence is injected to keep the RTMP stream alive and the
        playback offset is frozen. On unpause, playback resumes from the frozen
        position.
      operationId: pauseStream
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: streamId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PauseStreamRequest'
        required: true
      responses:
        '200':
          description: Pause state applied successfully
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/PauseStreamResponse'
        '400':
          description: Invalid request or pause not supported by this service
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/PauseStreamResponse'
        '401':
          description: Failed to authenticate request
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/PauseStreamResponse'
        '403':
          description: Not authorized to access this call
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/PauseStreamResponse'
        '404':
          description: No active stream found for call
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/PauseStreamResponse'
components:
  schemas:
    PauseStreamRequest:
      type: object
      properties:
        paused:
          type: boolean
    PauseStreamResponse:
      type: object
      properties:
        streamId:
          type: string
        paused:
          type: boolean
        positionSeconds:
          type: number
          format: double
        mode:
          type: string
          description: >-
            Playback mode. 'live' = at the live playhead; 'replay' = the call is
            still live but playback is offset behind the live playhead;
            'recorded' = playing back a completed call recording.
          enum:
            - live
            - replay
            - recorded
        bufferDurationSeconds:
          type: number
          format: double
        pauseExpiresAtEpochSecond:
          type: integer
          format: int64
          description: >-
            Epoch second when the pause will expire and the session will be
            closed. Null when the stream is not paused or when pause timeout is
            disabled. Re-sending the pause request resets this timer
            (heartbeat).

````